aboutsummaryrefslogtreecommitdiffstats
path: root/core/docs.mk
diff options
context:
space:
mode:
authorJean-Sébastien Pédron <[email protected]>2017-05-10 19:09:46 +0200
committerLoïc Hoguin <[email protected]>2017-05-12 11:53:47 +0200
commitae5415d4a1000022c568932e7a6efa96e684b016 (patch)
treef26329540c7b5d1ebe68a1ff2395ff68d926d60c /core/docs.mk
parent8b619436a8307367a3c29684ee17ff4ba0c4ef9b (diff)
downloaderlang.mk-ae5415d4a1000022c568932e7a6efa96e684b016.tar.gz
erlang.mk-ae5415d4a1000022c568932e7a6efa96e684b016.tar.bz2
erlang.mk-ae5415d4a1000022c568932e7a6efa96e684b016.zip
Make sure the build fails if a docs/rel/test/shell dep fails
Before this change, the build would continue, even if a dependency failed to build. This could lead to obscure errors in the middle of a testsuite for instance. With this change, the build fails immediately, exactly like when a regular dependency fails to build. While here, replace most uses of `|| exit $$?` with `set -e`. This simplifies error handling if we need to add more commands to each blocks. Also, echo error messages to stderr.
Diffstat (limited to 'core/docs.mk')
-rw-r--r--core/docs.mk2
1 files changed, 1 insertions, 1 deletions
diff --git a/core/docs.mk b/core/docs.mk
index c702fbc..ea2529f 100644
--- a/core/docs.mk
+++ b/core/docs.mk
@@ -16,5 +16,5 @@ ifneq ($(SKIP_DEPS),)
doc-deps:
else
doc-deps: $(ALL_DOC_DEPS_DIRS)
- $(verbose) for dep in $(ALL_DOC_DEPS_DIRS) ; do $(MAKE) -C $$dep; done
+ $(verbose) set -e; for dep in $(ALL_DOC_DEPS_DIRS) ; do $(MAKE) -C $$dep; done
endif